<?php
/**
 * Template part for displaying single posts.
 * @link https://codex.wordpress.org/Template_Hierarchy
 * @package Prelude Lite
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

	<?php  if( esc_attr(get_theme_mod( 'show_round_postdate', 1 ) ) ) :  ?>
	<div class="date-wrapper">				
		<div class="date-box"><div class="entry-date"><?php prelude_lite_posted_on(); ?></div></div>
	</div>
	<?php else: ?>				
	<div class="no-date"></div>
	<?php endif; ?>
	
	<header class="entry-header">
	
	<?php the_title( '<h1 class="entry-title" itemprop="headline">', '</h1>' ); ?>

	<?php // show sticky featured tag	
	if( is_sticky() && is_single() && get_theme_mod( 'show_featured_tag', 1 ) )  :	
	$featured = esc_attr__('Featured', 'prelude-lite' );
		echo '<div class="featured-post">' . $featured . '</div>';
	endif; ?>			
			
	<?php  if( esc_attr(get_theme_mod( 'show_summary_meta', 1 ) ) ) :  ?>						
			<div class="entry-meta">
				<span class="line"><?php prelude_lite_post_info(); ?></span>
			</div>
	<?php endif; ?>
					
	</header><!-- .entry-header -->

		<?php if( esc_attr(get_theme_mod( 'show_single_featured', 1 ) ) ) :          
			the_post_thumbnail( 'post-thumbnail', array( 'alt' => the_title_attribute( 'echo=0' ), 'itemprop' => "image"));
         endif; ?>
		 
	<div class="entry-content" itemprop="text">
		<?php the_content(); ?>
		<?php	prelude_lite_multipage_nav();	?>
	</div><!-- .entry-content -->
			
	<?php if( esc_attr(get_theme_mod( 'show_single_footer', 1 ) ) ) : ?>
		<footer class="entry-footer" itemscope itemtype="http://schema.org/WPFooter">		
			<?php 
				// get the post footer info
				prelude_lite_entry_footer(); 
			?>			
		</footer>	
	<?php endif; ?>
	
	<?php	// show the author bio
		if( esc_attr(get_theme_mod( 'show_authorbio', 1 ) ) ) {
			if ( is_single() && get_the_author_meta( 'description' ) ) :
				get_template_part( 'author-bio' );
			endif;
		}	
		?>	
		
	<?php	// get the post next and previous post navigation
		if( esc_attr(get_theme_mod( 'show_postnav', 1 ) ) ) :			
			prelude_lite_post_pagination();	
		endif; 
		?>
	
</article><!-- #post-## -->